"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = __importStar(require("@oclif/command"));
const rest_1 = require("@octokit/rest");
const git_1 = require("../../lib/git");
const context_1 = require("../../utils/context");
class GetCurrentPRNum extends command_1.default {
    run() {
        var _a, _b;
        return __awaiter(this, void 0, void 0, function* () {
            const { flags } = this.parse(GetCurrentPRNum);
            const context = yield context_1.getLocationContext({
                git: git_1.createGit(),
                octokit: new rest_1.Octokit({
                    auth: process.env.GITHUB_TOKEN,
                }),
            });
            const prNum = (_b = (_a = context.currentBranch.pr) === null || _a === void 0 ? void 0 : _a.number, (_b !== null && _b !== void 0 ? _b : null));
            if (prNum !== null) {
                return process.stdout.write(String(prNum));
            }
            if (!flags['optional']) {
                return this.exit(1);
            }
        });
    }
}
exports.GetCurrentPRNum = GetCurrentPRNum;
GetCurrentPRNum.flags = {
    optional: command_1.flags.boolean({
        description: 'Exit 0 if a pr number cannot be found for whatever reason (logical, error, ...)',
        default: false,
        char: 'r',
    }),
};
