"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = __importStar(require("@oclif/command"));
const util_1 = require("util");
const ChangeLog = __importStar(require("../../lib/changelog"));
const context_1 = require("../../utils/context");
class Log extends command_1.default {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const { flags } = this.parse(Log);
            const ctx = yield context_1.getContext();
            if (flags.json) {
                this.log(util_1.inspect(ctx.series, { depth: 20 }));
                return;
            }
            this.log(ChangeLog.render(ctx.series, {
                type: flags.markdown ? 'markdown' : 'plain',
            }));
        });
    }
}
exports.Log = Log;
Log.flags = {
    markdown: command_1.flags.boolean({
        default: false,
        description: 'format output as Markdown',
        char: 'm',
    }),
    json: command_1.flags.boolean({
        default: false,
        description: 'format output as JSON',
        char: 'j',
    }),
};
