"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = __importDefault(require("@oclif/command"));
const rest_1 = require("@octokit/rest");
const git_1 = require("../../lib/git");
const context_1 = require("../../utils/context");
const pr_1 = require("./pr");
const preview_1 = require("./preview");
class PreviewOrPR extends command_1.default {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const context = yield context_1.getLocationContext({
                git: git_1.createGit(),
                octokit: new rest_1.Octokit({
                    auth: process.env.GITHUB_TOKEN,
                }),
            });
            if (context.currentBranch.pr) {
                yield pr_1.PR.run(process.argv.slice(3));
            }
            else {
                yield preview_1.Preview.run(process.argv.slice(3));
            }
        });
    }
}
exports.PreviewOrPR = PreviewOrPR;
