import { Commit, Series } from '../utils/release';
declare type ChangeLog = {
    /**
     * Any commit marked as breaking.
     */
    breaking: {
        label: string;
        commits: Commit[];
    };
    /**
     * Feat type commits.
     */
    features: {
        label: string;
        commits: Commit[];
    };
    /**
     * Fix type commits.
     */
    fixes: {
        label: string;
        commits: Commit[];
    };
    /**
     * Any type other than feat fix and chore.
     */
    improvements: {
        label: string;
        commits: Commit[];
    };
    /**
     * Commits that are intended to be ignored.
     */
    chores: {
        label: string;
        commits: Commit[];
    };
    /**
     * Commit mistakes, non-conforming tools, who knows. Shouldn't happen but can.
     */
    unspecified: {
        label: string;
        commits: Commit[];
    };
};
export declare function empty(): ChangeLog;
export declare function render(series: Series, opts: {
    type: 'plain' | 'markdown';
}): string;
export {};
//# sourceMappingURL=changelog.d.ts.map