import * as Semver from './semver';
/**
 * Given a list of conventional commit messages (subject and body, the entire
 * message for the commit) calculate what the package version containing these
 * changes should be. Returns `null` if all changes were meta or unconforming.
 */
export declare function calcBumpType(isInitialDevelopment: boolean, commitMessages: string[]): null | Semver.MajMinPat;
declare type Kind = 'feat' | 'fix' | 'chore' | 'other';
export declare type ConventionalCommit = {
    typeKind: Kind;
    type: string;
    scope: null | string;
    description: string;
    body: null | string;
    breakingChange: null | string;
    footers: {
        type: string;
        body: string;
    }[];
    completesInitialDevelopment: boolean;
};
export declare function parse(message: string): null | ConventionalCommit;
export {};
//# sourceMappingURL=conventional-commit.d.ts.map