export interface GithubCIEnvironment {
    runId: number;
    eventName: 'pull_request';
    ref: null | string;
    headRef: null | string;
    repository: string;
    parsed: {
        repo: {
            name: string;
            owner: string;
        };
        branchName: null | string;
        prNum?: number;
    };
}
/**
 * Parse the Github CI Environment. Returns null if parsing fails which should
 * mean it is not a Github CI Environment.
 *
 * @remarks
 *
 * Github docs: https://help.github.com/en/actions/configuring-and-managing-workflows/using-environment-variables#default-environment-variables
 */
export declare function parseGithubCIEnvironment(): null | GithubCIEnvironment;
/**
 * Check if the current process appers to be running in a Github CI environment.
 */
export declare function isGithubCIEnvironment(): boolean;
//# sourceMappingURL=github-ci-environment.d.ts.map