/**
 * If in a CI environment and and there is an NPM_TOKEN environment variable
 * then this function will setup an auth  file that permits subsequent package
 * publishing commands.
 */
export declare function setupNPMAuthfileOnCI(): void;
declare type PassReason = 'npmrc_auth' | 'npm_token_env_var';
interface SetupPass {
    kind: 'pass';
    reason: PassReason;
}
declare type FailReason = 'no_npmrc' | 'npmrc_missing_auth' | 'env_var_empty' | 'no_env_var';
interface SetupFail {
    kind: 'fail';
    reasons: FailReason[];
}
/**
 * Find out whether NPM auth is setup or not. Setup means dripip upon publishing
 * will have credentials in place to work with the registry. Being setup is
 * satisfied by any of:
 *
 * - A non-empty NPM_TOKEN environment variable set
 * - An npmrc file containing auth
 */
export declare function validateNPMAuthSetup(): SetupPass | SetupFail;
export {};
//# sourceMappingURL=npm-auth.d.ts.map