declare type PackageJsonUpdater = (packageJson: Record<string, any>) => Record<string, any>;
declare type PackageJson = {
    name: string;
    version: string;
};
export declare function getPackageJson(): Promise<PackageJson>;
/**
 * Read the package.json file.
 */
export declare function read(cwd: string): Promise<undefined | PackageJson>;
/**
 * Read the package.json file synchronously.
 */
export declare function readSync(cwd: string): undefined | PackageJson;
/**
 * Write the package.json file.
 */
export declare function write(cwd: string, object: object): Promise<void>;
/**
 * Update the package.json located at cwd. The given updater function will
 * receive the parsed package contents and whatever is returned will be written
 * to disk.
 */
export declare function update(cwd: string, updater: PackageJsonUpdater): Promise<void>;
export declare function create(cwd?: string): {
    read: () => Promise<PackageJson | undefined>;
    readSync: () => PackageJson | undefined;
    write: (object: object) => Promise<void>;
    update: (updater: PackageJsonUpdater) => Promise<void>;
};
export declare type PJ = ReturnType<typeof create>;
export {};
//# sourceMappingURL=package-json.d.ts.map