export declare function dump(arg: unknown): void;
/**
 * Indent a string that spans multiple lines.
 */
export declare function indentBlock(size: number, block: string): string;
export declare const indentBlock4: (block: string) => string;
/**
 * Create a function that will only ever return the given value when called.
 */
export declare const constant: <T>(x: T) => () => T;
/**
 * Use this to make assertion at end of if-else chain that all members of a
 * union have been accounted for.
 */
export declare function casesHandled(x: never): never;
/**
 * Determin if the given array or object is empty.
 */
export declare function isEmpty(x: {} | unknown[]): boolean;
/**
 * Pause in time for given milliseconds.
 */
export declare function delay(milliseconds: number): Promise<void>;
/**
 * Like Array.findIndex but working backwards from end of array.
 */
export declare function findIndexFromEnd<T>(xs: T[], f: (x: T) => boolean): number;
/**
 * Get the last element of an array.
 */
export declare function last<T>(xs: T[]): null | T;
export declare function numericAscending(n1: number, n2: number): -1 | 0 | 1;
//# sourceMappingURL=utils.d.ts.map