"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const npm_auth_1 = require("../lib/npm-auth");
function isTrunk() {
    return {
        code: 'must_be_on_trunk',
        summary: 'You must be on the trunk branch',
        run(ctx) {
            return ctx.currentBranch.isTrunk;
        },
    };
}
exports.isTrunk = isTrunk;
function branchSynced() {
    return {
        code: 'branch_not_synced_with_remote',
        summary: 'Your branch must be synced with the remote',
        run(ctx) {
            if (ctx.currentBranch.syncStatus === 'synced') {
                return true;
            }
            else {
                return {
                    kind: 'fail',
                    details: {
                        syncStatus: ctx.currentBranch.syncStatus,
                    },
                };
            }
        },
    };
}
exports.branchSynced = branchSynced;
function npmAuthSetup() {
    return {
        code: 'npm_auth_not_setup',
        summary: 'You must have npm auth setup to publish to the registrty',
        run() {
            const result = npm_auth_1.validateNPMAuthSetup();
            if (result.kind === 'pass') {
                return true;
            }
            else {
                return { kind: 'fail', details: { reasons: result.reasons } };
            }
        },
    };
}
exports.npmAuthSetup = npmAuthSetup;
