import * as Git from '../lib/git';
import * as Rel from './release';
export interface PullRequestContext {
    number: number;
}
export interface Options {
    overrides?: {
        trunk?: null | string;
    };
}
export interface LocationContext {
    package: {
        name: string;
    };
    githubRepo: {
        owner: string;
        name: string;
        trunkBranch: string;
    };
    currentBranch: {
        name: string;
        isTrunk: boolean;
        syncStatus: Git.SyncStatus;
        pr: null | PullRequestContext;
    };
}
export interface Context extends LocationContext {
    series: Rel.Series;
}
export declare function getContext(opts?: Options): Promise<Context>;
/**
 * Get location-oriented contextual information. Does not consider the release
 * series but things like current branch, repo, pr etc.
 */
export declare function getLocationContext({ git, octokit, opts, }: {
    git: Git.Simple;
    octokit: any;
    opts?: Options;
}): Promise<LocationContext>;
//# sourceMappingURL=context.d.ts.map