/**
 * Get the pr release version for the given commit. A search is made through the
 * package's versions for this pr/commit combination. Returns `null` if no
 * release version can be found.
 */
export declare function getPullRequestReleaseVersionForLocation(input: {
    packageName: string;
    prNum: number;
    sha: string;
}): null | string;
/**
 * Get the next build num for a pre-release series.
 *
 * The pre-release series is the group versions published matching the given prefix.
 *
 * The buld num is assumed to be digits immediately following the prefix up to
 * the end of the version or up to the next `.`.
 *
 * If a version matches prefix but then not the pattern described above then it
 * is discarded.
 *
 * If no versions are found with given prefix then 1 is returned.
 *
 * If versions are found, then the greatest build number is incremented by 1 and
 * then returned.
 */
export declare function getNextPreReleaseBuildNum(packageName: string, prefix: string): number;
//# sourceMappingURL=pr-release.d.ts.map